The wl_compositor interface

A compositor. This object is a singleton global. The compositor is in charge of combining the contents of multiple surfaces into one displayable output. More...

## Macros

#define | WL_COMPOSITOR_CREATE_SURFACE_SINCE_VERSION 1
#define | WL_COMPOSITOR_CREATE_REGION_SINCE_VERSION 1

## Functions

static void | wl_compositor_set_user_data (struct wl_compositor *wl_compositor, void *user_data)
static void * | wl_compositor_get_user_data (struct wl_compositor *wl_compositor)
static void | wl_compositor_destroy (struct wl_compositor *wl_compositor)
static struct wl_surface * | wl_compositor_create_surface (struct wl_compositor *wl_compositor)
static struct wl_region * | wl_compositor_create_region (struct wl_compositor *wl_compositor)

## Detailed Description

A compositor. This object is a singleton global. The compositor is in charge of combining the contents of multiple surfaces into one displayable output.

## Macro Definition Documentation

## WL_COMPOSITOR_CREATE_REGION_SINCE_VERSION

#define WL_COMPOSITOR_CREATE_REGION_SINCE_VERSION 1

Definition at line 1156 of file wayland-client-protocol.h.

## WL_COMPOSITOR_CREATE_SURFACE_SINCE_VERSION

#define WL_COMPOSITOR_CREATE_SURFACE_SINCE_VERSION 1

Definition at line 1152 of file wayland-client-protocol.h.

## Function Documentation

## wl_compositor_create_region()

static struct wl_region* wl_compositor_create_region | ( | struct wl_compositor * | wl_compositor | ) |

inline static

Ask the compositor to create a new region.

Definition at line 1207 of file wayland-client-protocol.h.

{
struct wl_proxy *id;
id = wl_proxy_marshal_constructor((struct wl_proxy *) wl_compositor,
WL_COMPOSITOR_CREATE_REGION, &wl_region_interface, NULL);
return (struct wl_region *) id;
}

References NULL, WL_COMPOSITOR_CREATE_REGION, and wl_region_interface.

## wl_compositor_create_surface()

static struct wl_surface* wl_compositor_create_surface | ( | struct wl_compositor * | wl_compositor | ) |

inline static

Ask the compositor to create a new surface.

Definition at line 1191 of file wayland-client-protocol.h.

{
struct wl_proxy *id;
id = wl_proxy_marshal_constructor((struct wl_proxy *) wl_compositor,
WL_COMPOSITOR_CREATE_SURFACE, &wl_surface_interface, NULL);
return (struct wl_surface *) id;
}

References NULL, WL_COMPOSITOR_CREATE_SURFACE, and wl_surface_interface.

## wl_compositor_destroy()

static void wl_compositor_destroy | ( | struct wl_compositor * | wl_compositor | ) |

inline static

Definition at line 1180 of file wayland-client-protocol.h.

{
wl_proxy_destroy((struct wl_proxy *) wl_compositor);
}

## wl_compositor_get_user_data()

static void* wl_compositor_get_user_data | ( | struct wl_compositor * | wl_compositor | ) |

inline static

Definition at line 1167 of file wayland-client-protocol.h.

{
return wl_proxy_get_user_data((struct wl_proxy *) wl_compositor);
}

## wl_compositor_set_user_data()

static void wl_compositor_set_user_data | ( | struct wl_compositor * | wl_compositor,
|  | void * | user_data
| ) |  |

inline static

Definition at line 1160 of file wayland-client-protocol.h.

{
wl_proxy_set_user_data((struct wl_proxy *) wl_compositor, user_data);
}
NULL
#define NULL
Definition: begin_code.h:167
WL_COMPOSITOR_CREATE_SURFACE
#define WL_COMPOSITOR_CREATE_SURFACE
Definition: wayland-client-protocol.h:1145
WL_COMPOSITOR_CREATE_REGION
#define WL_COMPOSITOR_CREATE_REGION
Definition: wayland-client-protocol.h:1146
wl_region_interface
const struct wl_interface wl_region_interface
Definition: wayland-protocol.c:476
id
GLuint id
Definition: SDL_opengl_glext.h:528
wl_surface_interface
const struct wl_interface wl_surface_interface
Definition: wayland-protocol.c:367